<?php
/**
 * @package admin
 * @copyright Copyright 2003-2006 Zen Cart Development Team
 * @copyright Portions Copyright 2003 osCommerce
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version 1.0 $Id: am_pages.php  2007-15-05 00:16:31 lebrand2006 - Charis Chrisochoou
 * @Module AM Pages is a new module with extra db Table
 * @It has been created using (modified) the following file :
 * @version $Id: ezpages.php 4279 2006-08-26 03:31:29Z drbyte $
 */

  function zen_set_am_page_status($am_page_id, $status, $status_field) {
  global $db;
    if ($status == '1') {
      return $db->Execute("update " . TABLE_AM_PAGES . " set " . $status_field . " = '0'  where am_page_id = '" . $am_page_id . "'");
    } elseif ($status == '0') {
      return $db->Execute("update " . TABLE_AM_PAGES . " set " . $status_field . " = '1'  where am_page_id = '" . $am_page_id . "'");
    } else {
      return -1;
    }
  }

  require('includes/application_top.php');

  if ($_GET['action'] == 'set_editor') {
    $action='';
    zen_redirect(zen_href_link(FILENAME_AM_PAGES));
  }

  $action = (isset($_GET['action']) ? $_GET['action'] : '');
  if (zen_not_null($action)) {
    switch ($action) {

      case 'setflag':
        if ( ($_GET['flag'] == '0') || ($_GET['flag'] == '1') ) {
          zen_set_am_page_status(zen_db_prepare_input($_GET['ampID']), zen_db_prepare_input($_GET['flag']));
          $messageStack->add(ASUCCESS_PAGE_STATUS_UPDATED, 'success');
        } else {
          $messageStack->add(AERROR_UNKNOWN_STATUS_FLAG, 'error');
        }
        zen_redirect(zen_href_link(FILENAME_AM_PAGES, 'page=' . $_GET['page'] . '&ampID=' . $_GET['ampID']));
        break;

      case 'am_page_status_id':
        zen_set_am_page_status(zen_db_prepare_input($_GET['ampID']), zen_db_prepare_input($_GET['current']), 'am_page_status_id');
        $messageStack->add(ASUCCESS_PAGE_STATUS_UPDATED, 'success');
        zen_redirect(zen_href_link(FILENAME_AM_PAGES, 'page=' . $_GET['page'] . '&ampID=' . $_GET['ampID']));
        break;
      case 'insert':
      case 'update':
      
        if (isset($_POST['am_page_id']))

        $am_page_id = zen_db_prepare_input($_POST['am_page_id']);
        $am_page_button_title = zen_db_prepare_input($_POST['am_page_button_title']);
        $am_page_status_id = (int)$_POST['am_page_status_id'];
        $am_page_menu_group = (int)$_POST['am_page_menu_group'];
        $am_page_html_text = zen_db_prepare_input($_POST['am_page_html_text']);

        $page_error = false;
        
        $group_val = $am_page_menu_group;
        $max_group = 200;
        
        if (empty($am_page_button_title)) {
          $messageStack->add(AERROR_PAGE_TITLE_REQUIRED, 'error');
          $page_error = true;
        }
        
        if (empty($am_page_html_text)) {
        }
        
        if ($group_val > $max_group) {
          $messageStack->add(AERROR_MAX_MENU_NUMBER, 'error');
          $page_error = true;
        }
        
        $zv_link_method_cnt = 0;

        if ($am_page_html_text !='' and strlen(trim($am_page_html_text)) > 6) {
          $zv_link_method_cnt++;
        }
        if ($zv_link_method_cnt > 1) {
          $messageStack->add(AERROR_MULTIPLE_HTML_URL, 'error');
          $page_error = true;
        }

        if ($page_error == false) {
          $sql_data_array = array('am_page_button_title' => $am_page_button_title,
                                  'am_page_status_id' => $am_page_status_id,
                                  'am_page_menu_group' => $am_page_menu_group,
                                  'am_page_html_text' => $am_page_html_text);

          if ($action == 'insert') {
            zen_db_perform(TABLE_AM_PAGES, $sql_data_array);
            $am_page_id = $db->insert_ID();
            $messageStack->add(ASUCCESS_PAGE_INSERTED, 'success');
          } elseif ($action == 'update') {
            zen_db_perform(TABLE_AM_PAGES, $sql_data_array, 'update', "am_page_id = '" . (int)$am_page_id . "'");
            $messageStack->add(ASUCCESS_PAGE_UPDATED, 'success');
          }

          zen_redirect(zen_href_link(FILENAME_AM_PAGES, (isset($_GET['page']) ? 'page=' . $_GET['page'] . '&' : '') . 'ampID=' . $am_page_id));
        } else {
          if ($page_error == false) {
            $action = 'new';
          } else {
            $_GET['am_page_id'] = $am_page_id;
            $_GET['ampID'] = $am_page_id;
            $_GET['action'] = 'new';
            $action = 'new';
            $ampID = $am_page_id;
            $page = $_GET['page'];
          }
        }
        break;
      case 'deleteconfirm':
        $am_page_id = zen_db_prepare_input($_GET['ampID']);
        $db->Execute("delete from " . TABLE_AM_PAGES . " where am_page_id = '" . (int)$am_page_id . "'");
        $messageStack->add(ASUCCESS_PAGE_REMOVED, 'success');
        zen_redirect(zen_href_link(FILENAME_AM_PAGES, 'page=' . $_GET['page']));
        break;
    }
  }
?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
<link rel="stylesheet" type="text/css" href="includes/cssjsmenuhover.css" media="all" id="hoverJS">
<script language="javascript" src="includes/menu.js"></script>
<script language="javascript" src="includes/general.js"></script>
<script type="text/javascript">
  <!--
  function init()
  {
    cssjsmenu('navbar');
    if (document.getElementById)
    {
      var kill = document.getElementById('hoverJS');
      kill.disabled = true;
    }
  if (typeof _editor_url == "string") HTMLArea.replaceAll();
  }
  // -->
</script>
<?php if ($editor_handler != '') include ($editor_handler); ?>
</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="#FFFFFF" onLoad="init()">
<?php require(DIR_WS_INCLUDES . 'header.php'); ?>
<!-- header_eof //-->
<!-- body //-->
<table border="0" width="100%" cellspacing="2" cellpadding="2">
  <tr>
<!-- body_text //-->
    <td width="100%" valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="2">
      <tr>
        <td><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td class="pageHeading"><?php echo AHEADING_TITLE; ?></td>
            <td class="pageHeading" align="right"><?php echo zen_draw_separator('pixel_trans.gif', HEADING_IMAGE_WIDTH, HEADING_IMAGE_HEIGHT); ?></td>
            <td class="main">
<?php
      if ($action != 'new') {
// toggle switch for display sort order


?>
            </td>
            <td class="main">
<?php
// toggle switch for editor
        echo TEXT_EDITOR_INFO . zen_draw_form('set_editor_form', FILENAME_AM_PAGES, '', 'get') . '&nbsp;&nbsp;' . zen_draw_pull_down_menu('reset_editor', $editors_pulldown, $current_editor_key, 'onChange="this.form.submit();"') .
        zen_hide_session_id() .
        zen_draw_hidden_field('action', 'set_editor') .
        '</form>';
      }
?>
          </td>
          </tr>
        </table></td>
      </tr>
<?php
  if ($action == 'new') {
    $form_action = 'insert';

    $parameters = array('am_page_status_id' => '',
                        'am_page_button_title' => '',
                        'am_page_html_text' => '',
                        'am_page_menu_group' => ''                    
                        );

    $ampInfo = new objectInfo($parameters);

    if (isset($_GET['ampID'])) {
      $form_action = 'update';

      $ampID = zen_db_prepare_input($_GET['ampID']);

      $page_query = "select * from " . TABLE_AM_PAGES . " where am_page_id = '" . $_GET['ampID'] . "'";
      $page = $db->Execute($page_query);
      $ampInfo->objectInfo($page->fields);
    } elseif (zen_not_null($_POST)) {
      $ampInfo->objectInfo($_POST);
    }

// set default status setting for Page Status - Protected or Public

    if (!isset($ampInfo->am_page_status_id)) $ampInfo->not_am_page_status_id = '1';
    switch ($ampInfo->am_page_status_id) {
      case '0': $is_am_page_status_id = false; $not_am_page_status_id = true; break;
      case '1': $is_am_page_status_id = true; $not_am_page_status_id = false; break;
      default: $is_am_page_status_id = true; $not_am_page_status_id = false; break;
    }

    ?>
      <tr>
        <td><?php echo zen_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
      </tr>
      <tr>
<?php
    echo zen_draw_form('new_page', FILENAME_AM_PAGES, (isset($_GET['page']) ? 'page=' . zen_db_prepare_input($_GET['page']) . '&' : '') . 'action=' . $form_action, 'post', 'enctype="multipart/form-data"');
    if ($form_action == 'update') echo zen_draw_hidden_field('am_page_id', $ampID);
 ?>

      <tr>
        <td><table border="0" width="100%" cellspacing="0" cellpadding="2">
          <tr>
            <td colspan="2" class="main" align="left" valign="top" nowrap><?php echo (($form_action == 'insert') ? zen_image_submit('button_insert.gif', IMAGE_INSERT) : zen_image_submit('button_update.gif', IMAGE_UPDATE)). '&nbsp;&nbsp;<a href="' . zen_href_link(FILENAME_AM_PAGES, (isset($_GET['page']) ? 'page=' . $_GET['page'] . '&' : '') . (isset($_GET['ampID']) ? 'ampID=' . $_GET['ampID'] : '')) . '">' . zen_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>'; ?></td>
          </tr>
        </table></td>
      </tr>
        <td><table border="0" cellspacing="0" cellpadding="2">
          <tr>
            <td class="main"><?php echo ATEXT_PAGES_TITLE; ?></td>
            <td class="main"><?php echo zen_draw_input_field('am_page_button_title', $ampInfo->am_page_button_title, zen_set_field_length(TABLE_AM_PAGES, 'am_page_button_title'), true); ?></td>
          </tr>
          <tr>
            <td colspan="2"><?php echo zen_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
          </tr>

          <tr>
            <td colspan="2"><table border="0" cellspacing="4" cellpadding="4">
              <tr>

                <td class="main" align="left" valign="top"><strong>
                <?php echo ATABLE_HEADING_PAGE_STATUS_ID; ?></strong><br />
                  <?php echo zen_draw_radio_field('am_page_status_id', '1', $is_am_page_status_id) . '&nbsp;' . ATEXT_PUBLIC_PAGE . '<br />' . zen_draw_radio_field('am_page_status_id', '0', $not_am_page_status_id) . '&nbsp;' . ATEXT_PROTECTED_PAGE; ?>
                </td>

                <td align="center">&nbsp;<?php echo zen_draw_separator('pixel_black.gif', '2', '50'); ?>&nbsp;</td>

                <td class="main" align="left" valign="top"><strong>
                <?php echo ATABLE_HEADING_MENU_GROUP; ?></strong><br />
                <?php echo zen_draw_input_field('am_page_menu_group', $ampInfo->am_page_menu_group, zen_set_field_length(TABLE_AM_PAGES, 'am_page_menu_group', '6'), false); ?>
                </td> 

              </tr>
            </table></td>
          </tr>

            <tr>
                <td class="main" colspan="2">
                  <?php echo ATEXT_PROTECTED_EXPLAIN . '<br /><br />'; ?>
                  <?php echo ATEXT_MENU_GROUP_EXPLAIN; ?>
               </td>
           </tr>

          <tr>
            <td colspan="2"><?php echo zen_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
          </tr>
          <tr>
            <td valign="top" class="main"><?php echo ATEXT_PAGES_HTML_TEXT; ?></td>
            <td class="main">
				<?php if ($_SESSION['html_editor_preference_status']=="FCKEDITOR") {
                $oFCKeditor = new FCKeditor('am_page_html_text') ;
                $oFCKeditor->Value = $ampInfo->am_page_html_text ;
                $oFCKeditor->Width  = '80%' ;
                $oFCKeditor->Height = '500' ;
                $output = $oFCKeditor->CreateHtml() ; echo $output;
					} else {
					echo zen_draw_textarea_field('am_page_html_text', 'soft', '100%', '40', $ampInfo->am_page_html_text);
					} ?>
            </td>
          </tr>

           

          <tr>
            <td colspan="2"><?php echo zen_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
          </tr>

        </table></td>
      </tr>
      <tr>
        <td><?php echo zen_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
      </tr>
      <tr>
        <td><table border="0" width="100%" cellspacing="0" cellpadding="2">
          <tr>
            <td colspan="2" class="main" align="left" valign="top" nowrap><?php echo (($form_action == 'insert') ? zen_image_submit('button_insert.gif', IMAGE_INSERT) : zen_image_submit('button_update.gif', IMAGE_UPDATE)). '&nbsp;&nbsp;<a href="' . zen_href_link(FILENAME_AM_PAGES, (isset($_GET['page']) ? 'page=' . $_GET['page'] . '&' : '') . (isset($_GET['ampID']) ? 'ampID=' . $_GET['ampID'] : '')) . '">' . zen_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>'; ?></td>
          </tr>
        </table></td>
      </form></tr>


<?php
  } else {
?>


      <tr>
        <td><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="2">
              <tr class="dataTableHeadingRow" width="100%">

                <td class="dataTableHeadingContent" width="75px" align="center"><?php echo ATABLE_HEADING_ID; ?></td>
                <td class="dataTableHeadingContent"><?php echo ATABLE_HEADING_BUTTON_TITLE; ?></td>
                <td class="dataTableHeadingContent" align="center"><?php echo ATABLE_HEADING_DATA_PAGE_STATUS; ?></td>
                <td class="dataTableHeadingContent" align="center"><?php echo ATABLE_HEADING_DATA_MENU_GROUP; ?></td>
                <td class="dataTableHeadingContent" align="center">&nbsp;</td>

              </tr>

<?php
//    $amp_order_by =  " order by am_page_id, am_page_status_id, am_page_button_title";
      $amp_order_by =  " order by am_page_menu_group";
      $pages_query_raw = "select * from " . TABLE_AM_PAGES . $amp_order_by;
      
if (($_GET['page'] == '' or $_GET['page'] == '1') and $_GET['ampID'] != '') {
  $check_page = $db->Execute($pages_query_raw);
  $check_count=1;
  if ($check_page->RecordCount() > MAX_DISPLAY_SEARCH_RESULTS_EZPAGE) {
    while (!$check_page->EOF) {
      if ($check_page->fields['customers_id'] == $_GET['cID']) {
        break;
      }
      $check_count++;
      $check_page->MoveNext();
    }
    $_GET['page'] = round((($check_count/MAX_DISPLAY_SEARCH_RESULTS_EZPAGE)+(fmod_round($check_count,MAX_DISPLAY_SEARCH_RESULTS_EZPAGE) !=0 ? .5 : 0)),0);
  } else {
    $_GET['page'] = 1;
  }
}

    $pages_split = new splitPageResults($_GET['page'], MAX_DISPLAY_SEARCH_RESULTS_EZPAGE, $pages_query_raw, $pages_query_numrows);
    $pages = $db->Execute($pages_query_raw);

while (!$pages->EOF) {
     if ((!isset($_GET['ampID']) || (isset($_GET['ampID']) && ($_GET['ampID'] == $pages->fields['am_page_id']))) && !isset($ampInfo) && (substr($action, 0, 3) != 'new')) {
        $ampInfo_array = $pages->fields;
        $ampInfo = new objectInfo($ampInfo_array);
      }

    $zv_link_method_cnt = 0; 
    if ($pages->fields['am_page_html_text'] !='' and strlen(trim($pages->fields['am_page_html_text'])) > 6) {
    $zv_link_method_cnt++;
    }
      if (isset($ampInfo) && is_object($ampInfo) && ($pages->fields['am_page_id'] == $ampInfo->am_page_id)) {
        echo '              <tr id="defaultSelected" class="dataTableRowSelected" onmouseover="rowOverEffect(this)" onmouseout="rowOutEffect(this)" onclick="document.location.href=\'' . zen_href_link(FILENAME_AM_PAGES, 'page=' . $_GET['page'] . '&ampID=' . $pages->fields['am_page_id']) . '\'">' . "\n";
      } else {
        echo '              <tr class="dataTableRow" onmouseover="rowOverEffect(this)" onmouseout="rowOutEffect(this)" onclick="document.location.href=\'' . zen_href_link(FILENAME_AM_PAGES, 'page=' . $_GET['page'] . '&ampID=' . $pages->fields['am_page_id']) . '\'">' . "\n";
      }
?>
                <td class="dataTableContent" width="75px" align="right"><?php echo ($zv_link_method_cnt > 1 ? zen_image(DIR_WS_IMAGES . 'icon_status_red.gif', IMAGE_ICON_STATUS_RED_EZPAGES, 10, 10) : '') . '&nbsp;' . $pages->fields['am_page_id']; ?></td>
                <td class="dataTableContent"><?php echo '&nbsp;' . $pages->fields['am_page_button_title']; ?></td>
                <td class="dataTableContent" align="center"><?php echo ($pages->fields['am_page_status_id'] == 1 ? '<a href="' . zen_href_link(FILENAME_AM_PAGES, 'action=am_page_status_id&current=' . $pages->fields['am_page_status_id'] . '&ampID=' . $pages->fields['am_page_id'] . ($_GET['page'] > 0 ? '&page=' . $_GET['page'] : ''), 'NONSSL') . '">' . zen_image(DIR_WS_IMAGES . 'ampicon_green_on.gif', AMPIMAGE_ICON_STATUS_ON) . '</a>' : '<a href="' . zen_href_link(FILENAME_AM_PAGES, 'action=am_page_status_id&current=' . $pages->fields['am_page_status_id'] . '&ampID=' . $pages->fields['am_page_id'] . ($_GET['page'] > 0 ? '&page=' . $_GET['page'] : ''), 'NONSSL') . '">' . zen_image(DIR_WS_IMAGES . 'ampicon_red_on.gif', AMPIMAGE_ICON_STATUS_OFF) . '</a>'); ?></td>
                <td class="dataTableContent" align="center"><?php echo $pages->fields['am_page_menu_group']; ?></td>
                <td class="dataTableContent" align="center">&nbsp;&nbsp;<?php echo '<a href="' . zen_href_link(FILENAME_AM_PAGES,
(isset($_GET['page']) ? 'page=' . $_GET['page'] . '&' : '') . (isset($ampInfo) && is_object($ampInfo) && ($pages->fields['am_page_id'] == $ampInfo->am_page_id)) ? 'ampID=' . $pages->fields['am_page_id'] . '&action=new' : '') . '">' . zen_image(DIR_WS_IMAGES . 'icon_edit.gif', ICON_EDIT) . '</a>'; ?><?php if (isset($ampInfo) && is_object($ampInfo) && ($pages->fields['am_page_id'] == $ampInfo->am_page_id)) { echo zen_image(DIR_WS_IMAGES . 'icon_arrow_right.gif', ''); } else { echo '<a href="' . zen_href_link(FILENAME_AM_PAGES, (isset($_GET['page']) ? 'page=' . $_GET['page'] . '&' : '') . (isset($pages->fields['am_page_id']) ? 'ampID=' . $pages->fields['am_page_id'] : '')) . '">' . zen_image(DIR_WS_IMAGES . 'icon_info.gif', IMAGE_ICON_INFO) . '</a>'; } ?></td>
              </tr>
<?php

 $pages->MoveNext();
    }
?>
                  <tr>

                    <td class="smallText" valign="top" colspan="2"><?php echo $pages_split->display_count($pages_query_numrows, MAX_DISPLAY_SEARCH_RESULTS_EZPAGE, $_GET['page'], ATEXT_DISPLAY_NUMBER_OF_PAGES); ?></td>
                    <td class="smallText" align="right" colspan="8"><?php echo $pages_split->display_links($pages_query_numrows, MAX_DISPLAY_SEARCH_RESULTS_EZPAGE, MAX_DISPLAY_PAGE_LINKS, $_GET['page'], zen_get_all_get_params(array('page', 'info', 'x', 'y', 'ampID'))); ?></td>
                  </tr>

              <tr>
                <td colspan="10"><table border="0" width="100%" cellspacing="0" cellpadding="2">
                  <tr>
                    <td align="right" colspan="2"><?php echo '<a href="' . zen_href_link(FILENAME_AM_PAGES, 'action=new') . '">' . zen_image_button('button_new_am_page.gif') . '</a>'; ?></td>
                  </tr>
                </table></td>
              </tr>
            </table></td>
<?php
  $heading = array();
  $contents = array();

  switch ($action) {

    case 'delete':

      $heading[] = array('text' => '<b>' . $ampInfo->am_page_button_title . '</b>');

      $contents = array('form' => zen_draw_form('pages', FILENAME_AM_PAGES, 'page=' . $_GET['page'] . '&ampID=' . $ampInfo->am_page_id . '&action=deleteconfirm'));
      $contents[] = array('text' => ATEXT_INFO_DELETE_INTRO);
      $contents[] = array('text' => '<br /><b>' . $ampInfo->am_page_button_title . '</b>');

      $contents[] = array('align' => 'center', 'text' => '<br />' . zen_image_submit('button_delete.gif', IMAGE_DELETE) . '&nbsp;<a href="' . zen_href_link(FILENAME_AM_PAGES, 'page=' . $_GET['page'] . '&ampID=' . $_GET['ampID']) . '">' . zen_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
      
    break;

    default:

      if (is_object($ampInfo)) {
        $heading[] = array('text' => '<b>' . ATEXT_PAGE_TITLE . '&nbsp;' . $ampInfo->am_page_button_title . '&nbsp;|&nbsp;' . ATEXT_HEADING_MENU_GROUP . '&nbsp;' . $ampInfo->am_page_menu_group . '</b>');

        $zv_link_method_cnt = 0;
        if ($ampInfo->am_page_html_text !='' and strlen(trim($ampInfo->am_page_html_text)) > 6) {
        $zv_link_method_cnt++;
        }

        if ($zv_link_method_cnt > 1) {
          $contents[] = array('align' => 'left', 'text' => zen_image(DIR_WS_IMAGES . 'icon_status_red.gif', IMAGE_ICON_STATUS_RED_EZPAGES, 10, 10) . ' &nbsp;' . ATEXT_WARNING_MULTIPLE_SETTINGS);
        }

        $contents[] = array('align' => 'left', 'text' => '<br />' . ATEXT_PAGES_HTML_TEXT . '<br />' . substr(strip_tags($ampInfo->am_page_html_text),0,100));

        $contents[] = array('align' => 'left', 'text' => '<br /><a href="' . zen_href_link(FILENAME_AM_PAGES, 'page=' . $_GET['page'] . '&ampID=' . $ampInfo->am_page_id . '&action=new') . '">' . zen_image_button('button_edit.gif', IMAGE_EDIT) . '</a> <a href="' . zen_href_link(FILENAME_AM_PAGES, 'page=' . $_GET['page'] . '&ampID=' . $ampInfo->am_page_id . '&action=delete') . '">' . zen_image_button('button_delete.gif', IMAGE_DELETE) . '</a><br /><br /><br />');



      }

      break;
  }

  if ( (zen_not_null($heading)) && (zen_not_null($contents)) ) {
    echo '            <td width="25%" valign="top">' . "\n";

    $box = new box;
    echo $box->infoBox($heading, $contents);

    echo '            </td>' . "\n";
  }
?>
          </tr>
        </table></td>
      </tr>
<?php
  }
?>
    </table></td>
<!-- body_text_eof //-->
  </tr>
</table>
<!-- body_eof //-->

<!-- footer //-->
<?php require(DIR_WS_INCLUDES . 'footer.php'); ?>
<!-- footer_eof //-->
<br />
</body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>
